<script setup lang="ts">
import { RouterLink } from 'vue-router';

import type { Link } from '@/constants/links';
import { cn } from '@/lib/utils';

const props = defineProps<Link>();
</script>

<template>
  <RouterLink
    :to="props.to"
    exactActiveClass="active"
    :class="
      cn(
        'h-fit outline-t-0 px-[18px] text-3xl capitalize underline-offset-[5px] outline outline-[5px] transition-all duration-200 hover:py-[25px] bg-background py-[8px] font-medium text-foreground outline-foreground [&.active]:clip-navbar [&.active]:bg-gradient-to-t [&.active]:from-[#F4E6B0] [&.active]:to-[#DEB16E] [&.active]:py-[25px] [&.active]:font-bold [&.active]:text-background [&.active]:underline [&.active]:outline-0',
      )
    "
  >
    <component :is="props.is" />
  </RouterLink>
</template>
